Index: mytharchive/i18n/mytharchive_fi.ts
===================================================================
--- mytharchive/i18n/mytharchive_fi.ts	(revision 19002)
+++ mytharchive/i18n/mytharchive_fi.ts	(working copy)
@@ -244,284 +301,354 @@
 <context>
     <name>QObject</name>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="18"/>
         <source>Myth Archive Temp Directory</source>
         <translation>Väliaikaiskansio</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="28"/>
         <source>Myth Archive Share Directory</source>
         <translation>Jakelukansio</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="31"/>
         <source>Location where MythArchive stores its scripts, intro movies and theme files</source>
-        <translation type="unfinished"></translation>
+        <translation>Paikka, johon MythArchive tallentaa skriptit, alkuvideot ja teematiedostot</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="38"/>
         <source>Video format</source>
         <translation>Videoformaatti</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="41"/>
         <source>Video format for DVD recordings, PAL or NTSC.</source>
-        <translation type="unfinished"></translation>
+        <translation>Videmuoto DVD nauhoituksille, Pal tai NTSC.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="48"/>
         <source>File Selector Filter</source>
         <translation>Tiedostosuodatin</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="50"/>
         <source>The file name filter to use in the file selector.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tiedostonimisuodatin, jota käytetään tiedostovalitsimessa.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="57"/>
         <source>Location of DVD</source>
         <translation>DVD:n sijainti</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="59"/>
         <source>Which DVD drive to use when burning discs.</source>
-        <translation type="unfinished"></translation>
+        <translation>Mitä DVD -asemaa käytetään levyjä poltettaessa.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="240"/>
         <source>ffmpeg Command</source>
         <translation>ffmpeg-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="242"/>
         <source>Command to run ffmpeg.</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan ffmpeg.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="249"/>
         <source>mplex Command</source>
         <translation>mplex-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="251"/>
         <source>Command to run mplex</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan mplex</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="258"/>
         <source>dvdauthor command</source>
         <translation>dvdauthor-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="260"/>
         <source>Command to run dvdauthor.</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan dvdauthor.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="267"/>
         <source>mkisofs command</source>
         <translation>mkisofs-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="269"/>
         <source>Command to run mkisofs. (Used to create ISO images)</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan mkisofs. (Käytetään luomaan ISO -kuvia)</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="276"/>
         <source>growisofs command</source>
         <translation>growisofs-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="278"/>
         <source>Command to run growisofs. (Used to burn DVD&apos;s)</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan growisofs. (Käytetään polttamaan DVD:tä)</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="285"/>
         <source>tcrequant command</source>
         <translation>tcrequant-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="287"/>
         <source>Command to run tcrequant (Part of transcode package). Optional - leave blank if you don&apos;t have the transcode package installed.</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan tcrequant (Osana transkoodauspakettia). Vaihtoehtoinen - jätä tyhjäksi, jos sinulla ei ole transkoodauspakettia asennettuna.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="303"/>
         <source>spumux command</source>
         <translation>spumux-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="305"/>
         <source>Command to run spumux. Part of dvdauthor package</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan spumux. Osa dvdauthor -pakettia</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="312"/>
         <source>mpeg2enc command</source>
         <translation>mpeg2enc-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="314"/>
         <source>Command to run mpeg2enc. Part of mjpegtools package</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan mp3g2enc. Osa mjpegtools -pakettia</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="331"/>
         <source>MythArchive Settings</source>
         <translation>Mytharchive Asetukset</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="361"/>
         <source>MythArchive External Commands (1)</source>
         <translation>Mytharchive Ulkoiset Komennot (1)</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="370"/>
         <source>MythArchive External Commands (2)</source>
         <translation>Mytharchive Ulkoiset Komennot (2)</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="166"/>
         <source>Myth Burn</source>
-        <translation type="unfinished"></translation>
+        <translation>Myth Burn</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="168"/>
         <source>Background creation has been asked to stop.
 This may take a few minutes.</source>
         <translation>Tausta-ajo on lopetettu.
 Voi kestää vielä hetken.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="1556"/>
         <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+        <translation>MythArchive</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="1558"/>
         <source>It was not possible to create the DVD.  An error occured when running the scripts</source>
         <translation>Ei voitu luoda DVD:tä.  Virhe komentotiedoston ajossa</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="21"/>
         <source>Location where MythArchive should create its temporory work files. LOTS of free space required here.</source>
-        <translation type="unfinished"></translation>
+        <translation>sijainti, johon MythArchiven tulisi luoda väliaikaisia työtiedostoja. Tähän vaaditaan PALJON tyhjää tilaa.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="87"/>
         <source>Always Encode to AC3</source>
-        <translation type="unfinished"></translation>
+        <translation>Koodaa aina AC3:si</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="91"/>
         <source>If set audio tracks will always be re-encoded to AC3 for better compatibility with DVD players in NTSC countries.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, ääniraidat tullaan aina uudelleenkoodaamaan AC3:si paremman DVD-soitin yhteensopivuuden takaamiseksi NTSC -maissa.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="98"/>
         <source>Copy remote files</source>
-        <translation type="unfinished"></translation>
+        <translation>Kopioi etätiedostot</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="102"/>
         <source>If set files on remote filesystems will be copied over to the local filesystem before processing. Speeds processing and reduces bandwidth on the network</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, etätiedostojärjestelmien tiedostot tullaan kopioimaan paikalliseen tiedostojärjestelmään ennen tiedostojen käsittelyä. Nopeuttaa käsittelyä ja käyttää verkoston kaistaa</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="109"/>
         <source>Always Use Mythtranscode</source>
-        <translation type="unfinished"></translation>
+        <translation>Käytä aina Mythtranscodea</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="131"/>
         <source>Use FIFOs</source>
-        <translation type="unfinished"></translation>
+        <translation>Käytä FIFO:ja</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="153"/>
         <source>Main Menu Aspect Ratio</source>
         <translation>Päävalikon Kuvasuhde</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="157"/>
         <source>Aspect ratio to use when creating the main menu.</source>
-        <translation type="unfinished"></translation>
+        <translation>Kuvasuhde, jota käytetään päävalikkoa luotaessa.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="164"/>
         <source>Chapter Menu Aspect Ratio</source>
         <translation>Kappalevalikon Kuvasuhde</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="170"/>
         <source>Aspect ratio to use when creating the chapter menu. Video means use the same aspect ratio as the associated video.</source>
-        <translation type="unfinished"></translation>
+        <translation>Kuvasuhde, jota käytetään luotaessa jaksovalikkoa. &apos;Video&apos; tarkoittaa, että käytetään kyseisen videon kuvasuhdetta.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="342"/>
         <source>MythArchive Settings (2)</source>
         <translation>Mytharchive Asetukset (2)</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="358"/>
         <source>It was not possible to import the Archive.  An error occured when running &apos;mytharchivehelper&apos;</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei ollut mahdollista tuoda arkistoa.  Tapahtui virhe ajettaessa &apos;mytharchivehelperiä&apos;</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="66"/>
         <source>DVD Drive Write Speed</source>
-        <translation type="unfinished"></translation>
+        <translation>DVD-aseman kirjoitusnopeus</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="69"/>
         <source>This is the write speed to use when burning a DVD. Set to 0 to allow growisofs to choose the fastest available speed.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tätä kirjoitusnopeutta käytetään poltettaessa DVD-levyjä. Aseta 0 mahdollistaaksesi &apos;growisofsin&apos; valitsevan nopeimman saatavilla olevan nopeuden.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="76"/>
         <source>Command to play DVD</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla toistetaan DVD-levyä</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="80"/>
         <source>Command to run when test playing a created DVD. &apos;Internal&apos; will use the internal MythTV player. %f will be replaced with the path to the created DVD structure eg. &apos;xine -pfhq --no-splash dvd:/%f&apos;.</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla kokeilutoistetaan luotua DVD-levyä. &apos;Sisäinen&apos; käyttää MythTV:n sisäistä soitinta. %f korvaa reitin luodun DVD:n struktuuriin esim. &apos;xine -pfhq --no-splash dvd:/%f&apos;.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="113"/>
         <source>If set mpeg2 files will always be passed though mythtranscode to clean up any errors. May help to fix some audio problems. Ignored if &apos;Use ProjectX&apos; is set.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, mpeg2 -tiedostot ajetaan mythtranscoden läpi, jotta mahdolliset virheet saadaan korjattua. Voi auttaa korjaamaan joitkain ääniongelmia. Ohitetaan jos &apos;Käytä ProjectX&apos; on asetettu.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="120"/>
         <source>Use ProjectX</source>
-        <translation type="unfinished"></translation>
+        <translation>Käytä ProjectX</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="124"/>
         <source>If set ProjectX will be used to cut commercials and split mpeg2 files instead of mythtranscode and mythreplex.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, ProjectX:ää käytetään leikkaamaan mainoskatkoja ja jakamaan mpeg2 -tiedostoja mythtranscoden ja mythreplexn sijasta.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="136"/>
         <source>The script will use FIFOs to pass the output of mplex into dvdauthor rather than creating intermediate files. Saves time and disk space during multiplex operations but not  supported on Windows platform</source>
-        <translation type="unfinished"></translation>
+        <translation>Scripti käyttää FIFO:ja ohittaakseen mplexin ulostulon dvdauthoriin, sen sijaan, että tekisi välitiedostoja. Säästää aikaa ja kovalevytilaa multiplex -operaatioissa, mutta tätä ei tueta Windows -alustoilla</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="143"/>
         <source>Add Subtitles</source>
         <translation>Lisää Tekstitys</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="146"/>
         <source>If available this option will add subtitles to the final DVD. Requires &apos;Use ProjectX&apos; to be on.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos saatavilla, tämä valinta lisää tekstityksen lopulliseen DVD:n. Vaatii &apos;ProjextX&apos;:n päällä olemista.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="177"/>
         <source>Date format</source>
         <translation>Päiväyksen Muoto</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="181"/>
         <source>Samples are shown using today&apos;s date.</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytteitä näytetään käyttämällä tämän päivän päivämäärää.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="187"/>
         <source>Samples are shown using tomorrow&apos;s date.</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytteitä näytetään käyttämälää huomisen päivämäärää.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="202"/>
         <source>Your preferred date format to use on DVD menus.</source>
-        <translation type="unfinished"></translation>
+        <translation>Suosimasi formaatti käytettäväksi DVD -valikoissa.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="210"/>
         <source>Time format</source>
         <translation>Ajan Esitys</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="218"/>
         <source>Your preferred time format to display on DVD menus. You must choose a format with &quot;AM&quot; or &quot;PM&quot; in it, otherwise your time display will be 24-hour or &quot;military&quot; time.</source>
-        <translation type="unfinished"></translation>
+        <translation>Suosittu aikamuoto näytettävksi DVD-valikoissa. Sinun täytyy valita muodoksi &apos;Am&apos; tai &apos;PM&apos;, muuten aika näytetään 24-tuntisena.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="225"/>
         <source>Default Encoder Profile</source>
         <translation>Oletus Purkuprofiili</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="233"/>
         <source>Default encoding profile to use if a file needs re-encoding.</source>
-        <translation type="unfinished"></translation>
+        <translation>Oletus koodausprofiili, jota käytetään, jos tiedosto vaatii uudelleenkoodausta.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="294"/>
         <source>jpeg2yuv command</source>
         <translation>jpeg2yuv-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="296"/>
         <source>Command to run jpeg2yuv. Part of mjpegtools package</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan jpeg2yuv. Osa mjpegtools .pakettia</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="321"/>
         <source>projectx command</source>
         <translation>projectx-komento</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="324"/>
         <source>Command to run ProjectX. Will be used to cut commercials and split mpegs files instead of mythtranscode and mythreplex.</source>
-        <translation type="unfinished"></translation>
+        <translation>Komento, jolla ajetaan ProjectX. Käytetään leikkaamaan mainoskatkoja ja jakamaan mpeg2 -tiedostoja mythtranscoden ja mythreplexn sijasta.</translation>
     </message>
     <message>
+        <location filename="../mytharchive/archivesettings.cpp" line="353"/>
         <source>DVD Menu Settings</source>
         <translation>DVD Valikko-asetukset</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="1585"/>
         <source>Video Selector</source>
         <translation>Videon Valinnat</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="1586"/>
         <source>You don&apos;t have any videos!</source>
         <translation>Ei yhtään videoita!</translation>
     </message>
@@ -529,30 +656,37 @@
 <context>
     <name>RecordingSelector</name>
     <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="147"/>
         <source>Clear All</source>
         <translation>Tyhjennä Kaikki</translation>
     </message>
     <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="149"/>
         <source>Select All</source>
         <translation>Valitse Kaikki</translation>
     </message>
     <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="235"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="227"/>
         <source>OK</source>
         <translation>OK</translation>
     </message>
     <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="457"/>
         <source>All Recordings</source>
         <translation>Kaikki Nauhoitukset</translation>
     </message>
     <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="446"/>
         <source>MythArchive</source>
-        <translation type="unfinished"></translation>
+        <translation>MythArchive</translation>
     </message>
     <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="447"/>
         <source>Either you don&apos;t have any recordings or no recordings are available locally!
 
 Click OK</source>
@@ -563,30 +697,37 @@
 <context>
     <name>VideoSelector</name>
     <message>
+        <location filename="../mytharchive/videoselector.cpp" line="159"/>
         <source>Clear All</source>
         <translation>Tyhjennä Kaikki</translation>
     </message>
     <message>
+        <location filename="../mytharchive/videoselector.cpp" line="161"/>
         <source>Select All</source>
         <translation>Valitse Kaikki</translation>
     </message>
     <message>
+        <location filename="../mytharchive/videoselector.cpp" line="250"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/videoselector.cpp" line="242"/>
         <source>OK</source>
         <translation>OK</translation>
     </message>
     <message>
+        <location filename="../mytharchive/videoselector.cpp" line="512"/>
         <source>All Videos</source>
         <translation>Kaikki Videot</translation>
     </message>
     <message>
+        <location filename="" line="0"/>
         <source>Video Selector</source>
-        <translation>Videon Valinnat</translation>
+        <translation type="obsolete">Videon Valinnat</translation>
     </message>
     <message>
+        <location filename="../mytharchive/videoselector.cpp" line="502"/>
         <source>You don&apos;t have any videos!
 
 Click OK</source>
@@ -594,6 +735,7 @@
 Paina OK</translation>
     </message>
     <message>
+        <location filename="../mytharchive/videoselector.cpp" line="618"/>
         <source>Parental Pin:</source>
         <translation>PIN-koodi:</translation>
     </message>
